package org.processmining.divideandconquer.miners;

import org.processmining.acceptingpetrinetminer.miners.impl.DecomposedAbstractHybridILPMiner;
import org.processmining.causalactivitymatrixminer.miners.MatrixMiner;
import org.processmining.causalactivitymatrixminer.miners.impl.FuzzyMatrixMiner;

public class DecomposedHybridILPMinerFuzzy extends DecomposedAbstractHybridILPMiner {

	public String getName() {
		return "Hybrid ILP MIner (Fuzzy)";
	}

	public MatrixMiner getMiner() {
		System.out.println("[DecomposedHybridILPMinerFuzzy] Discovering Fuzzy matrix");
		return new FuzzyMatrixMiner();
	}

}

