package org.processmining.divideandconquer.miners;

import org.processmining.acceptingpetrinetminer.miners.impl.DecomposedAbstractHybridILPMiner;
import org.processmining.causalactivitymatrixminer.miners.MatrixMiner;
import org.processmining.causalactivitymatrixminer.miners.impl.HeuristicsMatrixMiner;

public class DecomposedHybridILPMinerHeuristics extends DecomposedAbstractHybridILPMiner {

	public String getName() {
		return "Hybrid ILP MIner (Heuristics)";
	}

	public MatrixMiner getMiner() {
		System.out.println("[DecomposedHybridILPMinerFuzzy] Discovering Heuristics matrix");
		return new HeuristicsMatrixMiner();
	}

}
