package org.processmining.classifiers;

import org.deckfour.xes.classification.XEventClassifier;
import org.deckfour.xes.model.XEvent;
import org.deckfour.xes.model.XLog;
import org.deckfour.xes.model.XVisitor;
import org.processmining.extensions.XClassExtension;

/**
 * 
 * @author hverbeek
 * @deprecated Please use org.processmining.logdecomposer.classifiers.StartEndClassifier instead.
 */
@Deprecated
public class StartEndClassifier implements XEventClassifier {

	private XEventClassifier classifier;
	
	public final static String START = "|start>";
	public final static String END = "[end]";
	
	public StartEndClassifier(XEventClassifier classifier) {
		this.classifier = classifier;
	}
	
	public void accept(XVisitor arg0, XLog arg1) {
		classifier.accept(arg0, arg1);
	}

	public String getClassIdentity(XEvent arg0) {
		String classid = XClassExtension.instance().extractEventId(arg0);
		if (classid == null) {
			classid = classifier.getClassIdentity(arg0);
		}
		return classid;
	}

	public String[] getDefiningAttributeKeys() {
		return classifier.getDefiningAttributeKeys();
	}

	public String name() {
		return classifier.name();
	}

	public boolean sameEventClass(XEvent arg0, XEvent arg1) {
		return false;
	}

	public void setName(String arg0) {
		classifier.setName(arg0);
	}

}
